# 32/64bit spec-file
#
Name: kde4-style-crystal
Summary: Crystal kwin decoration theme to KDE 4.x
Summary(de): Crystal kwin Dekorationsthema für KDE 4.x
Version: 2.2.1
Release: %mkrel 1
Source0: http://www.kde-look.org/CONTENT/content-files/crystal-%version.tar.xz
URL: http://www.kde-look.org/content/show.php/crystal?content=75140
Group: Graphical desktop/KDE4
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPLv2+
BuildRequires: kde-workspace-devel
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
This is the port of the famous Crystal kwin decoration theme to KDE 4.x.

Main features:
* Choose the blending color of the buttons.
* You can define the title bar height and border size of the windows.
* Right click on minimize button toggles shade mode.
* Middle click on minimize button sends window to below.
* Double click on program symbol closes window.
* Support for button themes. Basic button theme is included, feel free
  to swamp me with cool themes.
* Can show a tooltip of the caption
* If kdocker is installed (http://kdocker.sf.net), right click on close
  button will send the window to the systemtray.

%description -l de
Dies ist ein Port des bekannten Crystal kwin Dekorationsthemas für KDE 4.x.

Haupteigenschaften:
* Wahlmöglichkeit der Blending-Farbe der Buttons
* Sie können die Titelleistenhöhe und die Randgröße der Fenster festlegen.
* Rechtsklick auf den "Minimieren"-Button schaltet in den Schattenmodus.
* Mittelklick auf den "Minimieren"-Button sendet das Fenster nach unten.
* Doppelklick auf das Programmsymbol schließt das Fenster
* Unterstützung von Buttonthemas. Ein Basisbuttonthema ist enthalten,
  fühlen Sie sich frei, dies durch ein anderes zu ersetzen.
* Kann einen Tooltip der Überschrift zeigen.
* Wenn kdocker installiert ist (http://kdocker.sf.net), wird ein Rechtsklick
  auf den "Schließen"-Button das Fenster ins Systemtray senden.

%prep
%setup -q -n crystal-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%cmake -DCMAKE_INSTALL_PREFIX=/usr 
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS 
%{_kde_libdir}/kde4/kwin3_crystal.so
%{_kde_libdir}/kde4/kwin_crystal_config.so
%{_kde_appsdir}/kwin/crystal.desktop


%changelog
* Fri Jan 25 2013 pinoc <vogtpet at gmail.com>  2.2.1-1pclos2013
- 2.2.1

* Mon Oct 29 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.2.0-1pclos2012
- 2.2.0

* Sun Jul 01 2012 Neal <nealbrks0 at gmail dot com> 2.1.1-1pclos2012
- process

* Sun Jul 01 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.1.1-1pclos2012
- 2.1.1
- added german summary and description
- changed kdebase4-workspace-devel to kde-workspace-devel
- replace explicite version in setup line by %{version}
- replaced cmake by %cmake to prevent overlinking

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 2.0.5-4pclos2010
- rebuild for 4.5.1

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 2.0.5-3pclos2010
- rebuild

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 2.0.5-2pclos2010
- rebuild

* Thu Sep 24 2009 Texstar <texstar at gmail.com> 2.0.5-1pclos2009
- 2.0.5

* Thu Jul 02 2009 Texstar <texstar at gmail.com> 2.0.3-1pclos2009
- 2.0.3

